#include <iostream>
#include <iomanip>

int main() {
	std::ios_base::sync_with_stdio(false);
	double p, q, r, l, k; std::cin >> p >> q >> r >> l >> k;
	long long o = 0, f = 0;
	for (long long i = l; i <= k; i++) {
		f = (ceil(i / p) + ceil(i / q) + ceil(i / r));
		if (f <= i) o++;
	}
	std::cout << o;
}